CppTestExecutable (Gradle API 8.14.5)
Description: declaration: package: org.gradle.nativeplatform.test.cpp, interface: CppTestExecutable

Package org.gradle.nativeplatform.test.cpp

# Interface CppTestExecutable

All Superinterfaces:
  `BuildableComponent`, `ComponentWithDependencies`, `ComponentWithExecutable`, `ComponentWithInstallation`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `CppBinary`, `Named`, `SoftwareComponent`, `TestComponent`

public interface CppTestExecutable extends CppBinary, ComponentWithExecutable, ComponentWithInstallation, TestComponent
A test executable with tests implemented in C++.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.language.cpp.CppBinary

  `DEBUGGABLE_ATTRIBUTE, LINKAGE_ATTRIBUTE, OPTIMIZED_ATTRIBUTE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends RunTestExecutable>`
  `getRunTask()`
  Returns the task that runs the tests for this component.

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

  `getExecutableFile, getExecutableFileProducer, getLinkLibraries, getLinkTask`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

  `getInstallDirectory, getInstallTask, getRuntimeLibraries`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

  `getObjects`

  ### Methods inherited from interface org.gradle.language.cpp.CppBinary

  `getCompileIncludePath, getCompileTask, getCppSource, getLinkLibraries, getRuntimeLibraries, getTargetPlatform`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getRunTask

    Provider<? extends RunTestExecutable> getRunTask()
    Returns the task that runs the tests for this component.
    Specified by:
      `getRunTask` in interface `TestComponent`